<md-dialog flex="50" aria-label="Build now" zafira-background-theme="modal" class="modal-default styled-modal">
    <form class="form-validation styled-modal__form" name="build_now_form" ng-submit="buildNow(); UtilService.untouchForm(build_now_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Build now</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <div layout layout-sm="column" data-ng-hide="isJobParametersLoaded" layout-align="space-around">
                    <md-input-container flex>
                        <div data-ng-hide="isJobParametersLoaded" layout="row" layout-sm="column" layout-align="space-around">
                            <md-progress-circular md-mode="indeterminate"></md-progress-circular>
                        </div>
                    </md-input-container>
                </div>
                <div data-ng-if="noValidJob" layout="row" layout-align="center center">
                    <small>Empty</small>
                </div>
                <div layout layout-sm="column" data-ng-repeat="jobParameter in jobParameters | orderBy:'-parameterClass'" data-ng-if="jobParameter.parameterClass != 'HIDDEN' && jobParameter.name !== 'zafiraFields'">
                    <md-input-container flex data-ng-if="jobParameter.parameterClass == 'STRING'">
                        <label>{{jobParameter.name}}<span data-ng-if="'ci_run_id' == jobParameter.name"> (new)</span></label>
                        <input ng-model="jobParameter.value" type="text" placeholder=""/>
                    </md-input-container>
                    <md-input-container flex data-ng-if="jobParameter.parameterClass == 'BOOLEAN'" layout="row">
                        <div flex style="text-transform: capitalize; max-width:200px;">
                            {{jobParameter.name}}<span data-ng-if="'ci_run_id' == jobParameter.name"> (new)</span>
                        </div>
                        <md-checkbox ng-model="jobParameter.value">
                        </md-checkbox>
                    </md-input-container>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="build" type="submit" data-ng-if="! noValidJob" class="md-raised btn-w-md md-primary" data-ng-disabled="build_now_form.$invalid">
                Build
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
